cURL
curl --request GET \
--url https://api.penciled.com/v1/waitlistruns \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.penciled.com/v1/waitlistruns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.penciled.com/v1/waitlistruns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"waitlist_run_id": "123456789",
"appointment_date": "2024-12-09T11:15:00.000-08:00",
"state": "accepted",
"state_justification": "Patient accepted appointment",
"expiration_date": "2024-12-09T11:00:00.000-08:00",
"time_to_fill_minutes": 12,
"created_at": "2024-12-09T11:00:00.000-08:00",
"ehr_patient_id": "123456789",
"ehr_appt_type_id": "1234",
"appointment_type_name": "Appointment Type Name",
"ehr_provider_id": "5678",
"provider_first_name": "Provider First Name",
"provider_last_name": "Provider Last Name",
"location": "Location Name",
"booked_by_first_name": "John",
"booked_by_last_name": "Doe",
"booked_by_phone_number": "1234567890",
"booked_by_email": "john.doe@example.com"
}
]{
"error": "<string>"
}Waitlist Runs
Get Waitlist Runs
Get a list of waitlist runs
GET
/
v1
/
waitlistruns
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The ID of the waitlist run, please use either this or the start and end date
The start date of the created_at to filter by in ISO format: 2024-12-03T00:00:00.000-08:00
The end date of the created_at to filter by in ISO format: 2024-12-05T00:00:00.000-08:00
Response
Waitlist run response
- Option 1
- Option 2
Example:
"123456789"
Example:
"2024-12-09T11:15:00.000-08:00"
Example:
"accepted"
Example:
"Patient accepted appointment"
Example:
"2024-12-09T11:00:00.000-08:00"
Example:
12
Example:
"2024-12-09T11:00:00.000-08:00"
Example:
"123456789"
Example:
"1234"
Example:
"Appointment Type Name"
Example:
"5678"
Example:
"Provider First Name"
Example:
"Provider Last Name"
Example:
"Location Name"
Example:
"John"
Example:
"Doe"
Example:
"1234567890"
Example:
"john.doe@example.com"